Bug 11951 - Under LXDE many KDE applications do not start from menu, but do from command line
: Under LXDE many KDE applications do not start from menu, but do from command ...
Status: RESOLVED FIXED
Product: Mageia
Classification: Unclassified
Component: RPM Packages
: Cauldron
: All Linux
: High Severity: normal
: ---
Assigned To: Mageia Bug Squad
:
:
: 4beta2
:
:
: 11704
  Show dependency treegraph
 
Reported: 2013-12-11 10:14 CET by Lewis Smith
Modified: 2014-01-26 19:42 CET (History)
8 users (show)

See Also:
Source RPM: lxde - lxpanel ?
CVE:
Status comment:


Attachments

Description Lewis Smith 2013-12-11 10:14:45 CET
Mag4Beta Classic installation with several desktops incl KDE & LXDE: as 'Summary' plus the fact that most which only start from the command line show errors. Specifically...

Start from the menu (* = an open terminal shows errors):
KDE IM Contacts, KDE IM Log viewer, KMail Header Theme editor, Konqueror*, Konversation, KTorrent, KAddressBook, Kontact*, Skrooge, KColourChooser, KolorPaint, Amarok*, DragonPlayer, Kdenlive, AkonadiTray, K3B, Kleopatra, KMail Import, KNotes, Konsole*, KSysGuard, KTimer, KTimeTracker, KWalletManager, KWrite, Nepomuk Backup, Nepomuk Cleaner.

Do NOT start from menu, but do from command line mostly with errors (x = *no* errors, ? = command unknown):
Akregator, KMail, KNode, Kopete, Okular x, DNGConverter, digiKam x, ExpoBlending x, Gwenview, KScreenShot ?, KsCD, Ark, Dolphin, KCalc x, KDE System Settings ?, KCharMap ?, KJots, KAlarm, 

Version-Release number of selected component (if applicable):
Mageia 4 Betas up to 9 Dec.

How reproducible:
Consistent at the time.


Reproducible: 

Steps to Reproduce:
Comment 1 Manuel Hiebel 2013-12-14 11:52:01 CET
confirmed, (usind kdm)

[manu@localhost ~]$ cat .xsession-errors 
 2196 ?        00:00:02 VBoxClient
localhost being added to access control list
** Message: main.vala:96: Session is LXDE
** Message: main.vala:97: DE is LXDE
** Message: main.vala:128: log directory: /home/manu/.cache/lxsession/LXDE
** Message: main.vala:129: log path: /home/manu/.cache/lxsession/LXDE/run.log


$less /home/manu/.cache/lxsession/LXDE/run.log

kmail: « <caption> » manquant.
kmail: Utilisez « --help » pour obtenir la liste des options de ligne de commande disponibles.
Warning: QSystemTrayIcon::setVisible: No Icon set
Warning: QDBusConnection: name 'org.kde.kglobalaccel' had owner '' but we thought it was ':1.52'
kscd: « <caption> » manquant.
kscd: Utilisez « --help » pour obtenir la liste des options de ligne de commande disponibles.


Considering as blocker
Comment 2 Anne Nicolas 2013-12-15 15:10:42 CET
Neoclust, any idea on that one ?
Comment 3 Nicolas Lécureuil 2013-12-15 18:06:03 CET
no, maybe missing requires. I am downloading a beta2 to test.
Comment 4 Nicolas Lécureuil 2013-12-23 21:54:44 CET
strange bug but i reproduce it => investigating
Comment 5 Luc Menut 2013-12-23 23:58:27 CET
All the applications that don't launch from lxde menu have '-caption %c' in their Exec.
According to the freedesktop specification for desktop entry, %c should be expanded by the program launcher to "the translated name of the application as listed in the appropriate Name key in the desktop entry."
http://standards.freedesktop.org/desktop-entry-spec/latest/ar01s06.html

Sadly, the lxde menu doesn't fully respect this specification and doesn't expand %c. As %c isn't expanded, we have the error reported by Manuel, eg for okular
LC_ALL=C okular -caption
okular: '<caption>' missing.
okular: Use --help to get a list of available command line options.

The real problem isn't in KDE, but in lxde menu that doesn't respect the freedesktop specification for desktop entry.
Comment 6 Atilla ÖNTAŞ 2013-12-24 00:28:57 CET
It seems this have been reported a while ago to upstream but no response came...

http://sourceforge.net/tracker/?func=detail&aid=3614733&group_id=180858&atid=894869

It should fixed in upstream. Otherwise i don't know how this issue can be fixed.
Btw, i'm not any lxde package maintainer and have a little knowledge on this; so i'll reset assignee to default. Sorry.
Comment 7 Lewis Smith 2013-12-24 11:05:17 CET
Re comments 5 & 6

The issue seems to have been well identified. It is clearly up to LXDE to fix it; and if they do not, I would doubt the wisdom of offering it in the Classic Installer - at least in conjunction with KDE. This at least is something Mageia can do.
Comment 8 Anne Nicolas 2014-01-09 20:50:24 CET
ok what I propose is to remove it from isos for now as we are very near from the final release. It seems we have lost the maintainer for LXDE and we have many other bugs to fix before the D day
Comment 9 Anne Nicolas 2014-01-09 21:15:12 CET
meta-task-4-23.mga4
decreasing priority
Comment 10 Lewis Smith 2014-01-11 11:36:42 CET
Anne
> ok what I propose is to remove it from isos for now as we are very near from
> the final release. It seems we have lost the maintainer for LXDE and we have
> many other bugs to fix before the D day
I think this idea is very sensible. Against XFCE and Mate, LXDE did not seem to me to offer any + even ignoring this problem; and Mageia offers more desktops in one ISO than any other distribution I know. Hopefully LXDE can be brought back into the fold if a maintainer for it emerges.
Could this bug be closed now? (Policy change).
Comment 11 Anne Nicolas 2014-01-11 13:25:24 CET
I don't tjink so. the bug still occur. It should be closed if LXDE was removed from Mageia
Comment 12 Colin Guthrie 2014-01-19 15:37:40 CET
Seems a patch was added to the upstream bug. I've patched it in locally, will test in a bit.
Comment 13 Colin Guthrie 2014-01-19 15:58:40 CET
Patch seems to work :)
Comment 14 Lewis Smith 2014-01-20 09:59:35 CET
Colin: Well done & thanks.
For the moment (RC) LXDE has been pulled from Mageia4 Classic. If not too late it might be re-incorporated.
Comment 15 Colin Guthrie 2014-01-20 10:22:42 CET
It'll still be in the repos regardless, so still good to get it fixed :)

I'll let someone else confirm the fix, so won't close myself. Please do close once confirmed tho'.
Comment 16 Colin Guthrie 2014-01-26 15:12:25 CET
Can someone else confirm this is fixed?
Comment 17 Shlomi Fish 2014-01-26 19:39:24 CET
(In reply to Colin Guthrie from comment #16)
> Can someone else confirm this is fixed?

On latest Cauldron x86-64 with an LXDE desktop started from startx (in ":1"), gwenview starts fine.

Regards,

-- Shlomi Fish
Comment 18 Shlomi Fish 2014-01-26 19:41:22 CET
(In reply to Shlomi Fish from comment #17)
> (In reply to Colin Guthrie from comment #16)
> > Can someone else confirm this is fixed?
> 
> On latest Cauldron x86-64 with an LXDE desktop started from startx (in
> ":1"), gwenview starts fine.
> 

And now I tested Akregator - it also starts fine from the menu.

Regards,

-- Shlomi Fish

> Regards,
> 
> -- Shlomi Fish
Comment 19 Colin Guthrie 2014-01-26 19:42:32 CET
OK, let's close then. Thanks!

Note You need to log in before you can comment on or make changes to this bug.